Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.utils
Interface LDAPServerMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, LDAPX509IdentityAsserterMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface LDAPServerMBean
extends weblogic.management.commo.StandardInterface

Method Summary
`int` | `getCacheSize()`
`int` | `getCacheTTL()`
`int` | `getConnectTimeout()`
`java.lang.String` | `getCredential()`
`java.lang.String` | `getHost()`
`int` | `getParallelConnectDelay()`
`int` | `getPort()`
`java.lang.String` | `getPrincipal()`
`int` | `getResultsTimeLimit()`
`boolean` | `isBindAnonymouslyOnReferrals()`
`boolean` | `isCacheEnabled()`
`boolean` | `isFollowReferrals()`
`boolean` | `isSSLEnabled()`
`void` | `setBindAnonymouslyOnReferrals(boolean)`
`void` | `setCacheEnabled(boolean)`
`void` | `setCacheSize(int)`
`void` | `setCacheTTL(int)`
`void` | `setConnectTimeout(int)`
`void` | `setCredential(java.lang.String)`
`void` | `setFollowReferrals(boolean)`
`void` | `setHost(java.lang.String)`
`void` | `setParallelConnectDelay(int)`
`void` | `setPort(int)`
`void` | `setPrincipal(java.lang.String)`
`void` | `setResultsTimeLimit(int)`
`void` | `setSSLEnabled(boolean)`

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag`

Method Detail

### getCacheSize

    public int getCacheSize()

### getCacheTTL

    public int getCacheTTL()

### getConnectTimeout

    public int getConnectTimeout()

### getCredential

    public java.lang.String getCredential()

### getHost

    public java.lang.String getHost()

### getParallelConnectDelay

    public int getParallelConnectDelay()

### getPort

    public int getPort()

### getPrincipal

    public java.lang.String getPrincipal()

### getResultsTimeLimit

    public int getResultsTimeLimit()

### isBindAnonymouslyOnReferrals

    public boolean isBindAnonymouslyOnReferrals()

### isCacheEnabled

    public boolean isCacheEnabled()

### isFollowReferrals

    public boolean isFollowReferrals()

### isSSLEnabled

    public boolean isSSLEnabled()

### setBindAnonymouslyOnReferrals

    public void setBindAnonymouslyOnReferrals(boolean)
                                       throws javax.management.InvalidAttributeValueException

### setCacheEnabled

    public void setCacheEnabled(boolean)
                         throws javax.management.InvalidAttributeValueException

### setCacheSize

    public void setCacheSize(int)
                      throws javax.management.InvalidAttributeValueException

### setCacheTTL

    public void setCacheTTL(int)
                     throws javax.management.InvalidAttributeValueException

### setConnectTimeout

    public void setConnectTimeout(int)
                           throws javax.management.InvalidAttributeValueException

### setCredential

    public void setCredential(java.lang.String)
                       throws javax.management.InvalidAttributeValueException

### setFollowReferrals

    public void setFollowReferrals(boolean)
                            throws javax.management.InvalidAttributeValueException

### setHost

    public void setHost(java.lang.String)
                 throws javax.management.InvalidAttributeValueException

### setParallelConnectDelay

    public void setParallelConnectDelay(int)
                                 throws javax.management.InvalidAttributeValueException

### setPort

    public void setPort(int)
                 throws javax.management.InvalidAttributeValueException

### setPrincipal

    public void setPrincipal(java.lang.String)
                      throws javax.management.InvalidAttributeValueException

### setResultsTimeLimit

    public void setResultsTimeLimit(int)
                             throws javax.management.InvalidAttributeValueException

### setSSLEnabled

    public void setSSLEnabled(boolean)
                       throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference